<div>
    <h2 id="page-heading">
        <span jhiTranslate="locadoraApp.itensLocacao.home.title">Itens Locacaos</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-itens-locacao" [routerLink]="['/itens-locacao/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="locadoraApp.itensLocacao.home.createLabel">
            Create new Itens Locacao
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="itensLocacaos">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="dataEntregaPrevista"><span jhiTranslate="locadoraApp.itensLocacao.dataEntregaPrevista">Data Entrega Prevista</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="dataEntregaEfetiva"><span jhiTranslate="locadoraApp.itensLocacao.dataEntregaEfetiva">Data Entrega Efetiva</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="midiaTipo"><span jhiTranslate="locadoraApp.itensLocacao.midia">Midia</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="locacaoId"><span jhiTranslate="locadoraApp.itensLocacao.locacao">Locacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let itensLocacao of itensLocacaos ;trackBy: trackId">
                <td><a [routerLink]="['/itens-locacao', itensLocacao.id, 'view' ]">{{itensLocacao.id}}</a></td>
                <td>{{itensLocacao.dataEntregaPrevista | date:'mediumDate'}}</td>
                <td>{{itensLocacao.dataEntregaEfetiva | date:'mediumDate'}}</td>
                <td>
                    <div *ngIf="itensLocacao.midiaId">
                        <a [routerLink]="['../midia', itensLocacao.midiaId , 'view' ]" >{{itensLocacao.midiaTipo}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="itensLocacao.locacaoId">
                        <a [routerLink]="['../locacao', itensLocacao.locacaoId , 'view' ]" >{{itensLocacao.locacaoId}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/itens-locacao', itensLocacao.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/itens-locacao', itensLocacao.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'itens-locacao', { outlets: { popup: itensLocacao.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="itensLocacaos && itensLocacaos.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
